class CreateTables < ActiveRecord::Migration

  def self.up
    create_table :posts do |t|
      t.string :title, :limit => 255
      t.text :body
      t.references :category
      t.references :person
      t.timestamps
    end

    create_table :people do |t|
      t.string :name, :limit => 255
      t.string :password, :limit => 255
    end

    create_table :categories do |t|
      t.string :name, :limit => 255
    end

  end

  def self.down
    drop_table :posts
    drop_table :people
    drop_table :categories
  end
end
